package acquirer_student

import (
	"git.i2edu.net/i2/i2-bill-api/internal/logic/acquirer_student"
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func AcquirerStudentPageHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := acquirer_student.NewAcquirerStudentPageLogic(r.Context(), ctx)
		resp, err := l.AcquirerStudentPage(r)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
